package com.kamco.cd.training.postgres.core;

import com.kamco.cd.training.common.service.BaseCoreService;
import com.kamco.cd.training.log.dto.ErrorLogDto;
import com.kamco.cd.training.postgres.repository.log.ErrorLogRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@RequiredArgsConstructor
@Transactional(readOnly = true)
public class ErrorLogCoreService
    implements BaseCoreService<ErrorLogDto.Basic, Long, ErrorLogDto.ErrorSearchReq> {

  private final ErrorLogRepository errorLogRepository;

  public Page<ErrorLogDto.Basic> findLogByError(ErrorLogDto.ErrorSearchReq searchReq) {
    return errorLogRepository.findLogByError(searchReq);
  }

  @Override
  public void remove(Long aLong) {}

  @Override
  public ErrorLogDto.Basic getOneById(Long aLong) {
    return null;
  }

  @Override
  public Page<ErrorLogDto.Basic> search(ErrorLogDto.ErrorSearchReq searchReq) {
    return null;
  }
}
